com.io7m.jcanephora.renderstate

## Class JCGLCullingState

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLCullingState

- All Implemented Interfaces:
    JCGLCullingStateType

      @Generated(value={"Immutables.generator","JCGLCullingStateType"})
      public final class JCGLCullingState
      extends Object
      implements JCGLCullingStateType

  Face culling state.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLCullingState.Builder` Builds instances of type `JCGLCullingState`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLCullingState.Builder` | `builder()` Creates a builder for `JCGLCullingState`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLCullingState` that have equal attribute values.
    `JCGLFaceSelection` | `getFaceSelection()`
    `JCGLFaceWindingOrder` | `getFaceWindingOrder()`
    `int` | `hashCode()` Computes a hash code from attributes: `faceSelection`, `faceWindingOrder`.
    `static JCGLCullingState` | `of(JCGLFaceSelection faceSelection, JCGLFaceWindingOrder faceWindingOrder)` Construct a new immutable `JCGLCullingState` instance.
    `String` | `toString()` Prints the immutable value `JCGLCullingState` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getFaceSelection

          public JCGLFaceSelection getFaceSelection()

      Specified by:
        `getFaceSelection` in interface `JCGLCullingStateType`
      Returns:
        The faces that will be culled

    - #### getFaceWindingOrder

          public JCGLFaceWindingOrder getFaceWindingOrder()

      Specified by:
        `getFaceWindingOrder` in interface `JCGLCullingStateType`
      Returns:
        The face winding order

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLCullingState` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `faceSelection`, `faceWindingOrder`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLCullingState` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLCullingState of(JCGLFaceSelection faceSelection,
                                            JCGLFaceWindingOrder faceWindingOrder)

      Construct a new immutable `JCGLCullingState` instance.
      Parameters:
        `faceSelection` - The value for the `faceSelection` attribute
        `faceWindingOrder` - The value for the `faceWindingOrder` attribute
      Returns:
        An immutable JCGLCullingState instance

    - #### builder

          public static JCGLCullingState.Builder builder()

      Creates a builder for `JCGLCullingState`.
      Returns:
        A new JCGLCullingState builder

Copyright © 2016 <code@io7m.com> http://io7m.com